﻿using System.Linq;
using System.Windows;
using Telerik.Pivot.Core;
using System.Collections.ObjectModel;
using Telerik.Pivot.Core.Fields;
using Telerik.Pivot.Core.Filtering;
using Telerik.Windows.Controls;
using System;
using System.Windows.Controls.Primitives;

namespace RadPivotGrid_WPF_768026
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            var groupDesc = (this.pivot.DataProvider as LocalDataSourceProvider).ColumnGroupDescriptions.FirstOrDefault(d => d.PropertyName == "Quantity");

            if (groupDesc != null)
            {
                if (groupDesc is DoubleGroupDescription)
                {
                    (this.pivot.DataProvider as LocalDataSourceProvider).ColumnGroupDescriptions.Remove(groupDesc);
                    (this.pivot.DataProvider as LocalDataSourceProvider).ColumnGroupDescriptions.Add(new PropertyGroupDescription { PropertyName = "Quantity" });
                }
                else if (groupDesc is PropertyGroupDescription)
                {
                    (this.pivot.DataProvider as LocalDataSourceProvider).ColumnGroupDescriptions.Remove(groupDesc);
                    (this.pivot.DataProvider as LocalDataSourceProvider).ColumnGroupDescriptions.Add(new DoubleGroupDescription { PropertyName = "Quantity" });
                }
            }
        }
    }
}
